Package com.google.javascript.jscomp.graph

# Interface DiGraph.DiGraphEdge<N,E>

Type Parameters:
  `N` - Value type that the graph node stores.
  `E` - Value type that the graph edge stores.

All Superinterfaces:
  `Annotatable`, `Graph.GraphEdge<N,E>`

Enclosing class:
  `DiGraph<N,E>`

public static interface DiGraph.DiGraphEdge<N,E> extends Graph.GraphEdge<N,E>
A generic directed graph edge.

## Method Summary

Modifier and Type
Method
Description
`DiGraph.DiGraphNode<N,E>`
`getDestination()`
`DiGraph.DiGraphNode<N,E>`
`getSource()`
`void`
`setDestination(DiGraph.DiGraphNode<N,E> node)`
`void`
`setSource(DiGraph.DiGraphNode<N,E> node)`

### Methods inherited from interface com.google.javascript.jscomp.graph.Annotatable

`getAnnotation, setAnnotation`

### Methods inherited from interface com.google.javascript.jscomp.graph.Graph.GraphEdge

`getNodeA, getNodeB, getValue`

## Method Details

### getSource

DiGraph.DiGraphNode<N,E> getSource()

### getDestination

DiGraph.DiGraphNode<N,E> getDestination()

### setSource

void setSource(DiGraph.DiGraphNode<N,E> node)

### setDestination

void setDestination(DiGraph.DiGraphNode<N,E> node)